#  Val input not active (permanently enabled)
#    side 0 holes; side 1 electrons


puts "running Initialise.tcl......"

    variable SIDEList {0 1}

    foreach SIDE $SIDEList {
        variable ASICList$SIDE {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15}
    }


    foreach SIDE $SIDEList {

    foreach ASIC [set ASICList$SIDE] {
       set i 1
       WriteR3BASICRegister [expr ($SIDE << 18) + ($ASIC << 10) + $i] [expr 0x30 + ($SIDE<< 7)]
       switch $ASIC {
           0 -
           1 -
           2 -
           3 {
               set i 2
               WriteR3BASICRegister [expr ($SIDE << 18) + ($ASIC << 10) + $i] 0x2c
           }

           12 -
           13 -
           14 -
           15 {
               set i 2
               WriteR3BASICRegister [expr ($SIDE << 18) + ($ASIC << 10) + $i] 0x5c
           }

           default {
               set i 2
               WriteR3BASICRegister [expr ($SIDE << 18) + ($ASIC << 10) + $i] 0x0c
           }
        }
     }

     }

puts "done"

