   proc RunTest {} {
      variable ASIC

    set BAK $ASIC

    for {set ASIC 0} {$ASIC <= 15} {incr ASIC} {
       set i 0
       set Result.$ASIC [time {ReadR3BASICRegister [expr ($ASIC << 10) + $i]}]
    }

    InsertLog "\nGood probes"
    for {set ASIC 0} {$ASIC <= 15} {incr ASIC} {
        if {[first [set Result.$ASIC]] < 50000} {InsertLog "$ASIC = [set Result.$ASIC]"}
    }

    InsertLog "\nBad probes - suggest i2c timeout"
    for {set ASIC 0} {$ASIC <= 15} {incr ASIC} {
        if {[first [set Result.$ASIC]] >= 50000} {InsertLog "$ASIC = [set Result.$ASIC]"}
    }

    set ASIC $BAK

}

RunTest

